#!/bin/sh
#
# Profile the N queens problem using 
# Oracle's built-in HPROF too.J
# 
# Also see http://charlesreid1.com/wiki/Java/Profiling

for N in 11
do

    echo "**************************************"
    echo "Profiling $N queens problem with Java HPROF..."
    
    # Update N
    /usr/local/bin/sed -i "s/SIZE = [0-9]\{1,\}/SIZE = ${N}/g" NQueens.java
    
    # Compile
    javac NQueens.java
    
    echo " - - - - - - - - - - - - - - - - - - - - -"
    echo "Profiling $N queens with HPROF..."
    
    java -agentlib:hprof=verbose=n NQueens
    #java -agentlib:hprof NQueens
    #java -agentlib:hprof=cpu=samples NQueens
    
    mv java.hprof.txt profile_hprof_${N}queens.out
    tail -n30 hprof_${N}queens.out
done

