#!/bin/sh
#
# Profile the N queens problem using Java Iteractive Profiler
# http://jiprof.sourceforge.net/
# 
# Also see http://charlesreid1.com/wiki/Java/Profiling
#
# Download source and look for profile/profile.jar

export PATH2JIP="${HOME}/Downloads/jip-src-1.2"

#for conn in 0.10 0.25 0.50 0.75 0.90 1.0
#do

# if all else fails:
##for (( N=5; N<=15; c++ ))
for N in 4 5 .. 8
do
	
    echo "**************************************"
    echo "Profiling TSP with $N nodes with Java JIP..."
    
    # Update N
    /usr/local/bin/sed -i "s/int N = [0-9]\{1,\}/int N = ${N}/g" TSP.java
    
    # Compile
    javac NQueens.java
    
    java -javaagent:${PATH2JIP}/profile/profile.jar NQueens
    
    mv profile.txt profile_jip_${N}queens.out
    tail -n30 profile_${N}queens.out

done

#done

