# Google Guava Library

Collections provided by the Guava library.

## Traveling Salesman Problem

This answers the question: how, exactly, does one construct a graph that cannot be modified? 

One starts with a graph that can be modified.

Links:
* [NetworkBuilder class](http://google.github.io/guava/releases/snapshot/api/docs/com/google/common/graph/NetworkBuilder.html)
* [ImmutableNetwork class](http://google.github.io/guava/releases/snapshot/api/docs/com/google/common/graph/ImmutableNetwork.html)
* [Network class](http://google.github.io/guava/releases/snapshot/api/docs/com/google/common/graph/Network.html)
* [Guava Wiki: GraphsExplained](https://github.com/google/guava/wiki/GraphsExplained#building-graph-instances)
* [Guava Wiki: Building Graph Instances](https://github.com/google/guava/wiki/GraphsExplained#building-graph-instances)

## Compiling with Guava

Start by downloading the Guava jars to your system. Then link to their location using the `-cp` (class path) flag:

```
$ javac -cp '.:/Users/charles/codes/guava/jars/guava-21.0.jar' TSP.java

$ java -cp '.:/Users/charles/codes/guava/jars/guava-21.0.jar' TSP
```

or just use the Makefile:

```
$ make clean
$ make build
$ make run
```

## Running 

You can run

```
$ make clean
$ make build
$ make run
```

or just

```
$ make tsp
```

### Timing

To time the code,

```
$ make time
```

This will result in a timestamped output file 
with timing results from the specified range of inputs.

## Profiling 

To profile the code,

```
$ make prof
```

This will result in timestamped output files 
with profiling results from the specified range of inputs.

