#!/bin/sh
# 
# Extract the total calculation time from the output file. 
# Perform an averaging procedure on all numbers.
# Report the result back.

for f in `/bin/ls -1 avgtimeout_tsp*`
do
	touch tmpfile 
	cat /dev/null > tmpfile

	export N=$(echo $f | sed 's/^.*_\([0-9]\{1,\}\).out/\1/')
	export AVG=$(cat $f | grep "Elapsed" | cut -d" " -f3 | awk '{a+=$1} END{print a/NR}') 
	echo "Average time : ${N}-node TSP problem : ${AVG} s"

	rm tmpfile
done
