# Java Solution to N Queens Problem

## Compiling

```plain
$ javac NQueens.java
```

## Running

```
$ java NQueens
92
```

## Timing

The timing script uses sed to adjust the size of the N queens problem,
then compiles and runs the program and adds the output to a file.

To run:

```plain
$ ./time_java.sh
```

## Profiling

Can use Java Interactive Profiler tool or built-in HPROF tool.

### Java Interactive Profiler

To use JIP, download the .jar file from the [JIP project page](http://jiprof.sourceforge.net/).
Then adjust the script to point to the jar.

```plain
$ ./prof_java_jip.sh
```

### HPROF

The HPROF tool gives a lower level profile of the code.
To use HPROF, run the HPROF profiling script:

```plain
$ ./prof_java_hprof.sh
```

